.switch {
  font-family:'Tauri';
  position: relative;
  margin: 20px auto;
  height: 38px;
  width: 360px;
  background: rgba(0, 0, 0, 0.05);
  border-radius: 3px;
  -webkit-box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.3), 0 1px rgba(255, 255, 255, 0.1);
  box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.3), 0 1px rgba(255, 255, 255, 0.1);
}

.switch-label {
  position: relative;
  z-index: 2;
  float: left;
  width: 178px;
  line-height: 38px;
  font-size: 12px;
  color: rgba(0, 0, 0, 0.85);
  text-align: center;
  text-shadow: 0 1px 1px rgba(0, 0, 0, 0.15);
  cursor: pointer;
}
.switch-label:active {
  /*font-weight: bold;*/
}

.switch-label-off {
  padding-left: 2px;
}

.switch-label-on {
  padding-right: 2px;
}

/*
 * Note: using adjacent or general sibling selectors combined with
 *       pseudo classes doesn't work in Safari 5.0 and Chrome 12.
 *       See this article for more info and a potential fix:
 *       http://css-tricks.com/webkit-sibling-bug/
 */
.switch-input {
  display: none;
}
.switch-input:checked + .switch-label {
  /*font-weight: bold;*/
  color: rgba(0, 0, 0, 0.85);
  text-shadow: 0 1px rgba(255, 255, 255, 0.25);
  -webkit-transition: 0.15s ease-out;
  -moz-transition: 0.15s ease-out;
  -o-transition: 0.15s ease-out;
  transition: 0.15s ease-out;
}
.switch-input:checked + .switch-label-on ~ .switch-selection {
  left: 180px;
  /* Note: left: 50% doesn't transition in WebKit */
}

.switch-selection {
  display: block;
  position: absolute;
  z-index: 1;
  top: 2px;
  left: 2px;
  width: 178px;
  height: 34px;
  background: #9DC45F;
  border-radius: 3px;
  background-image: -webkit-linear-gradient(top, #C6DDA1, #9DC45F);
  background-image: -moz-linear-gradient(top, #C6DDA1, #9DC45F);
  background-image: -o-linear-gradient(top, #C6DDA1, #9DC45F);
  background-image: linear-gradient(to bottom, #C6DDA1, #9DC45F);
  -webkit-box-shadow: inset 0 1px rgba(255, 255, 255, 0.5), 0 0 2px rgba(0, 0, 0, 0.2);
  box-shadow: inset 0 1px rgba(255, 255, 255, 0.5), 0 0 2px rgba(0, 0, 0, 0.2);
  -webkit-transition: left 0.15s ease-out;
  -moz-transition: left 0.15s ease-out;
  -o-transition: left 0.15s ease-out;
  transition: left 0.15s ease-out;
}